1. Alerts
api-security
  • Security-Api
    • Roles
      • Index
      • Create
      • Show
      • Update
      • Delete
    • Devices
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Security Event
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Alerts
      • Index
        GET
      • Show
        GET
      • Create
        POST
      • Update
        PUT
      • Delete
        DELETE
    • Incidents
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Incident Comments
      • Index
      • Show
      • Create
      • Update
      • Delete
    • Auth
      • Login
      • Logout
      • Me
    • Dashboard
      • Index
    • Notifications
      • Index
      • Unread
      • Mark As Read
  1. Alerts

Index

Developing
GET
http://127.0.0.1:8000/api/alerts
Retrieves a list of all alerts registered in the system.

Request

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthenticated
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'http://127.0.0.1:8000/api/alerts' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}' \
--header 'Content-Type: application/json'
Response Response Example
200 - Éxito
{
    "data": [
        {
            "id": 1,
            "security event": 1,
            "title": "Brute Force Detected",
            "description": "Suspicious multiple login attempts.",
            "status": "pending"
        },
        {
            "id": 2,
            "security event": 2,
            "title": "SQL Injection Alert",
            "description": "Potential SQL injection attack.",
            "status": "investigating"
        }
    ]
}
Modified at 2026-06-19 14:41:49
Previous
Delete
Next
Show
Built with